simmm1=function(l, m, T)
{
  t=0
  n=0
  M=c(0,0,0) #first row of matrix with arrival and departure times of successive customers
  Nar=0 # total number of arrivals
  Ndep=0 # total number of departures
  ta=rexp(1,l)
  td=Inf
  while (t<T)
  {
    if (ta<td) #next event is arrival
    {
      t=ta 
      n=n+1
      Nar=Nar+1
      M=rbind(M,c(Nar,t,NA)) # add a new row with the arrival time of the new customer
      ta=t+rexp(1,l) # schedule next arrival time
      if (n==1) #check if the customer proceeds to service
        td=t+rexp(1,m)
    } else #next event is a departure
    {
      t=td
      n=n-1
      Ndep = Ndep+1 
      # update departure time of customer number Ndep
      # because of FCFS the departure number Ndep corresponds to customer Ndep.
      # because M has a first row of zeros, customer Ndep is on row Ndep+1 of M
      M[Ndep+1,3]=t 
      if (n==0) # customer leaves empty system
        td=Inf else
          td=t+rexp(1,m)
    }
     #print(c(t, ta, td, n)) # Print running data for debugging, comment out when program runs OK
    #print(M)
  }
  return(M)
  }